import { AppServer } from '@/mock-api/types'

export function useMagasinGeneralArticleReservationSeed(server: AppServer) {
    server.create('articleReservation', {
        id: 'article-reservation-1',
        articleId: 'item-1-1',
        articleCode: 'ART-18085',
        articleDescription: 'BOTTE CUISINE P 39 BLANC',
        expectedReceiptDate: '2022-11-17T08:00:00.000Z',
        quantity: 2,
        availableQuantity: 1,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'I2_02_A',
        unit: 'Paire',
        interventionId: 'ot-stock-1',
        interventionCode: 'OT-747641',
        interventionTitle: 'cuisine centrale andersen',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    server.create('articleReservation', {
        id: 'article-reservation-2',
        articleId: 'item-1-2',
        articleCode: 'ART-18585',
        articleDescription: 'BOTTE CUISINE P 42 BLANC',
        expectedReceiptDate: '2022-11-17T08:00:00.000Z',
        quantity: 2,
        availableQuantity: 3,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'I2_02_B',
        unit: 'Paire',
        interventionId: 'ot-stock-1',
        interventionCode: 'OT-747641',
        interventionTitle: 'cuisine centrale andersen',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    /**
     * Référence Carl GP : OT-748494
     */
    server.create('articleReservation', {
        id: 'article-reservation-3',
        articleId: 'item-2-1',
        articleCode: 'ART-063085',
        articleDescription: 'CHARLOTTE BLANC NON TISSEE',
        expectedReceiptDate: '2022-11-12T10:00:00.000Z',
        quantity: 2,
        availableQuantity: 0,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'H2_04_D',
        unit: 'Boîte',
        interventionId: 'ot-stock-2',
        interventionCode: 'OT-748494',
        interventionTitle: 'BREUIL MINGOT EPI',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    server.create('articleReservation', {
        id: 'article-reservation-4',
        articleId: 'item-2-2',
        articleCode: 'ART-181465',
        articleDescription: 'GANT ALIMENTAIRE BLEU JETABLE T8.5 TL',
        expectedReceiptDate: '2022-11-12T10:00:00.000Z',
        quantity: 1,
        availableQuantity: 58,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'J1_06_C',
        unit: 'Boîte',
        interventionId: 'ot-stock-2',
        interventionCode: 'OT-748494',
        interventionTitle: 'BREUIL MINGOT EPI',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    server.create('articleReservation', {
        id: 'article-reservation-5',
        articleId: 'item-2-3',
        articleCode: 'ART-33035',
        articleDescription: 'TABLIER PVC BLANC DE CUISINE',
        expectedReceiptDate: '2022-11-12T10:00:00.000Z',
        quantity: 1,
        availableQuantity: 5,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'H2_04_A',
        unit: 'Unité',
        interventionId: 'ot-stock-2',
        interventionCode: 'OT-748494',
        interventionTitle: 'BREUIL MINGOT EPI',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    server.create('articleReservation', {
        id: 'article-reservation-6',
        articleId: 'item-2-4',
        articleCode: 'ART-130645',
        articleDescription: 'CHAUSSURE CUISINE P 39 UNISEX',
        expectedReceiptDate: '2022-11-12T10:00:00.000Z',
        quantity: 5,
        availableQuantity: 3,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'I1_05_E',
        unit: 'Paire',
        interventionId: 'ot-stock-2',
        interventionCode: 'OT-748494',
        interventionTitle: 'BREUIL MINGOT EPI',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    server.create('articleReservation', {
        id: 'article-reservation-7',
        articleId: 'item-2-5',
        articleCode: 'ART-18087',
        articleDescription: 'CHAUSSURE CUISINE P 40 UNISEX',
        expectedReceiptDate: '2022-11-12T10:00:00.000Z',
        quantity: 1,
        availableQuantity: 5,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'I1_05_D',
        unit: 'Paire',
        interventionId: 'ot-stock-2',
        interventionCode: 'OT-748494',
        interventionTitle: 'BREUIL MINGOT EPI',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
    server.create('articleReservation', {
        id: 'article-reservation-8',
        articleId: 'item-2-6',
        articleCode: 'ART-1847005',
        articleDescription:
            'MASQUE CHIRURGICAL 3 PLIS AVEC ELASTIQUE BOITE DE 50 TYPE I',
        expectedReceiptDate: '2022-11-12T10:00:00.000Z',
        quantity: 2,
        availableQuantity: 3797,
        warehouseId: 'warehouse-id-magasin-general',
        warehouseCode: 'GENERAL',
        storageLocationCode: 'H2_06_B',
        unit: 'Boîte',
        interventionId: 'ot-stock-2',
        interventionCode: 'OT-748494',
        interventionTitle: 'BREUIL MINGOT EPI',
        creatorName: 'Jean Doux',
        creatorDirectionName: 'Direction restauration collective',
    })
}
